API ReferenceapiintegrationsPOST /v1/connections/authorize

POST /v1/connections/authorize

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "provider": {
      "type": "string"
    },
    "redirectUri": {
      "type": "string",
      "format": "uri"
    }
  },
  "required": [
    "provider",
    "redirectUri"
  ]
}

Responses

200 OAuth authorization URL

{
  "type": "object",
  "properties": {
    "url": {
      "type": "string"
    },
    "state": {
      "type": "string"
    }
  },
  "required": [
    "url",
    "state"
  ]
}

404 Provider not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://integrations.platform.loop.health/v1/connections/authorize \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'